Album: Let Me Dance, Let Me Glisten - Single
Directory: let-me-dance-let-me-glisten-single
Artists:
- Flutterwhat
Date: April 13, 2015
Date Added: January 29, 2025
URLs:
- https://flutterwhat.bandcamp.com/album/let-me-dance-let-me-glisten
- https://scourgequest.bandcamp.com/album/let-me-dance-let-me-glisten-single
Cover Artists:
- Snerkflerks
Cover Art File Extension: png
Cover Art Dimensions: 702x701
Color: '#008f48'
Groups:
- Fandom
Art Tags:
- Porrim
Commentary: |-
    <i>Quasar Nebula:</i> (wiki editor, 10/20/2024)

    This album was released on the artist's main Bandcamp ([flutterwhat](https://flutterwhat.bandcamp.com/album/let-me-dance-let-me-glisten)) as well as on the dedicated ScourgeQuest Bandcamp ([scourgequest](https://scourgequest.bandcamp.com/album/let-me-dance-let-me-glisten-single)). These releases are combined as one album for the wiki.

    <i>Flutterwhat:</i> ([Bandcamp about blurb](https://flutterwhat.bandcamp.com/album/let-me-dance-let-me-glisten) - personal release, 4/13/2015)

    This version of the single differs from it's ScourgeQuest bandcamp release. [(bit.ly/1CIjqsF)](https://scourgequest.bandcamp.com/album/let-me-dance-let-me-glisten-single) It includes two additional tracks from the [ScourgeQuest III BETA 1 Release](https://scourgequest.bandcamp.com/album/scourgequest-iii-beta-1), both of witch share the same core melody.
---
Section: Main album
---
Track: Let Me Dance, Let Me Glisten
Directory: let-me-dance-let-me-glisten-single
Always Reference By Directory: true
Duration: 3:51
URLs:
- https://flutterwhat.bandcamp.com/track/let-me-dance-let-me-glisten
- https://scourgequest.bandcamp.com/track/let-me-dance-let-me-glisten
Lyrics: |-
    Beats blastin in the club,
    Let me dance, let me listen.
    everyone one is hella drunk
    drink like it's a competition

    you wanna learn these moves?
    You just want the best views
    Look at how i glow
    let the light mystify you

    Let me dance, Let me glisten!
    Let me dance, Let me glisten!

    have you gotten a good look
    the Musics getting to the hook
    pour to me another glass
    I want this whole night to last

    Let me dance, Let me glisten!
    Let me dance, Let me glisten!

    I can see it in your eyes
    I've got you hypnotized
    keep telling me your lies
    I enjoy how you hard try
    You can look, but never touch
    cause he night doesn't hold your luck
    watch my hips swing
    make me into your fantasy

    Let me dance, Let me glisten!
    Let me dance, Let me glisten!
Commentary: |-
    <i>Flutterwhat:</i> ([Rerelease commentary](https://flutterwhat.bandcamp.com/track/let-me-dance-let-me-glisten))

    This song is dedicated to Porrim Maryam, a character from Homestuck who is gorgeous and would most likely be the one to dance in clubs. I wanted this song to be my sexiest song yet!

    This song is also my contribution to the [[album:beforus|beforusalbum]], a fan album made to showcase songs about the dancsestor characters of Homestuck. They are currently recruiting musicians and artists!

    Because I actually have a job now, and combined with the fact that I'm still using 10+ year old hardware, Progress on my songs has been much slower then ever before. ScourgeQuest III has stalled somewhat as i am hitting metaphorical walls because I am limited in time now as well as the previous software limitations.
---
Track: Let Me Dance, Let Me Listen (Instrumental)
Additional Names:
- Name: >-
    Let Me Dance, Let Me Glisten (Insturmental)
  Annotation: >-
    [ScourgeQuest](https://scourgequest.bandcamp.com/track/let-me-dance-let-me-glisten-insturmental) name
Duration: 3:51
URLs:
- https://flutterwhat.bandcamp.com/track/let-me-dance-let-me-listen-instrumental
- https://scourgequest.bandcamp.com/track/let-me-dance-let-me-glisten-insturmental
Referenced Tracks:
- track:let-me-dance-let-me-glisten-single
---
Section: Exclusive to personal release
---
Track: You Shall Stay
Additional Names:
- Name: >-
    You Shall Stay 0.8
  Annotation: >-
    [ScourgeQuest III Beta 1](https://scourgequest.bandcamp.com/track/you-shall-say-08) name
Date First Released: April 14, 2015
Duration: 2:47
URLs:
- https://flutterwhat.bandcamp.com/track/you-shall-stay-2
Referenced Tracks:
- track:let-me-dance-let-me-glisten-single
Lyrics: |-
    They say we're not alone
    So they strike me and molest us
    They say we're meant to rule
    Then our wits are what makes us
    And who could ever know
    The truth that you left us

    Well I say
    You shall stay

    What sets the stars aglow
    Do they gleam or do they glisten
    It's ???
    Are they dead now, ask the question
    Where do we even go
    ??? restriction

    I do pray
    You know the way
---
Track: A Quiet Nightlife
Additional Names:
- Name: >-
    Born Alone 0.1
  Annotation: >-
    [ScourgeQuest III Beta 1](https://scourgequest.bandcamp.com/track/born-alone-01) name
- Name: >-
    Quiet Night Life
  Annotation: >-
    [Glistens](https://flutterwhat.bandcamp.com/track/quiet-night-life) name
Date First Released: April 14, 2015
Duration: 1:06
URLs:
- https://flutterwhat.bandcamp.com/track/a-quiet-nightlife
Referenced Tracks:
- track:let-me-dance-let-me-glisten-single
